%define opt		%(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%if !%{opt}
%define debug_package	%{nil}
%endif

%define pkgname		ocplib-simplex

Name:		ocaml-%{pkgname}
Version:	0.4
Release:	%mkrel 7
Summary:	Simplex algorithm for solving systems of linear inequalities
Group:		Development/OCaml
# The same exception to clause 6 as provided by ocaml applies to this package.
License:	LGPLv2 with exceptions
URL:		https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Source0:	https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.gz
Patch0:		ocplib-simplex-0.4-destdir.patch
Patch1:		ocplib-simplex-0.4-testcase.patch
BuildRequires:	autoconf
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-num-devel

%description
This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{pkgname}-%{version} -p1

%build
autoconf
%configure
%if %opt
%make_build opt
%else
%make_build byte
%endif

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_install

%check
#(daviddavid) tests are broken in 0.4
#make local-tests

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/%{pkgname}/
%if %opt
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc extra/simplex_invariants.txt
%if %opt
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli


%changelog
* Sat Aug 22 2020 tv <tv> 0.4-7.mga8
+ Revision: 1617871
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.4-6.mga8
+ Revision: 1551364
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.4-5.mga8
+ Revision: 1544195
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 0.4-4.mga8
+ Revision: 1482695
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.4-3.mga7
+ Revision: 1324244
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1299908
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 daviddavid <daviddavid> 0.4-1.mga7
+ Revision: 1211542
- new version: 0.4

* Sat Dec 02 2017 tv <tv> 0.3-2.mga7
+ Revision: 1180679
- rebuild for new ocaml

* Sat Jan 21 2017 daviddavid <daviddavid> 0.3-1.mga6
+ Revision: 1082645
- imported package ocaml-ocplib-simplex

